[
{
    blockid=plugin;
    help=service_smtp_plugin_plugin;
    custom=com.netscape.management.msgserv.StorePluginControl;
    localvar={
	    .headers="\u30a8\u30f3\u30c8\u30ea";
	    .headers.text="\u30d1\u30b9";
	    .headers="\u30aa\u30d7\u30b7\u30e7\u30f3";
    },
    content=[
	{
	    ctrl=label;
	    text="\u30d7\u30e9\u30b0\u30a4\u30f3\u306e\u8a2d\u5b9a";
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=pluginTable;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    columns=$.headers;
	    columns=[
		{
		    header="\u30a2\u30af\u30c6\u30a3\u30d6";
		    editor=boolean;
		    renderer=boolean;
		    width=60;
		},
		{
		    header="\u30d1\u30b9";
		    width=300;
		}
	    ]
	}
    ]
},
{
    blockid=addDialog;
    help=service_smtp_plugin_addDialog;
    localvar={
	    .entry.text="\u30a8\u30f3\u30c8\u30ea:";
	    .path.text="\u30d1\u30b9:";
	    .path.hint="\u30d1\u30b9:";
	    .funcs.text="\u6a5f\u80fd:";
	    .funcs.hint="\u6a5f\u80fd:";
	    .init.text="Init:";
	    .init.hint="Init:";
	    .option.text="\u30aa\u30d7\u30b7\u30e7\u30f3:";
	    .entry.labels=[PostSmtpAccept,PreSmtpDeliver];
	    .title.edit="\u30d7\u30e9\u30b0\u30a4\u30f3\u30a8\u30f3\u30c8\u30ea";
	    .title.add="\u30d7\u30e9\u30b0\u30a4\u30f3\u30a8\u30f3\u30c8\u30ea";
    },
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=entrylabel;
		    text=$.entry.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    aligny=0.5;
		    id=entryoption;
		    labels=$.entry.labels;
		    items=$.entry.labels;
		    val=$entry;
		    label=entrychoice;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$path;
		    label=pathlabel;
		    focus = true;
            validate=[com.netscape.management.msgserv.util.ValidAbsolutePath,false];
            errhint=$.path.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=funcslabel;
		    text=$.funcs.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$funcs;
		    label=funcslabel;
            validate=com.netscape.management.msgserv.util.NonemptyString;
            errhint=$.funcs.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=initlabel;
		    text=$.init.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$init;
		    label=initlabel;
            validate=com.netscape.management.msgserv.util.NonemptyString;
            errhint=$.init.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
        ctrl=pane;
        content=[
	    {
		    ctrl=label;
		    aligny=0.5;
		    id=optionlabel;
		    text=$.option.text;
            wrap=$g.label.size0;
	    },
	    {
		    ctrl=rigid;
	    },
	    {
		    ctrl=text;
		    aligny=0.5;
		    val=$option;
		    label=optionlabel;
	    }
	    ]
    },
  	{
 	    ctrl=label;
   	    wrap=$g.label.size4;
   	}
    ]
}
]
